/*
 * Copyright (C) 2021 Intel Corporation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// !!! DO NOT EDIT THIS FILE !!!

#include "src/iutils/ModuleTags.h"

const char* tagNames[] = {
    "3atest",
    "AiqCore",
    "AiqEngine",
    "AiqInitData",
    "AiqResult",
    "AiqResultStorage",
    "AiqSetting",
    "AiqUnit",
    "AiqUtils",
    "BufferQueue",
    "CASE_3A_CONTROL",
    "CASE_AIQ",
    "CASE_API_MULTI_THREAD",
    "CASE_BUFFER",
    "CASE_COMMON",
    "CASE_CPF",
    "CASE_DEVICE_OPS",
    "CASE_DUAL",
    "CASE_GRAPH",
    "CASE_IQ_EFFECT",
    "CASE_PARAMETER",
    "CASE_PER_FRAME",
    "CASE_STATIC_INFO",
    "CASE_STREAM_OPS",
    "CASE_THREAD",
    "CASE_VIRTUAL_CHANNEL",
    "CIPR_BUFFER",
    "CIPR_COMMAND",
    "CIPR_CONTEXT",
    "CIPR_EVENT",
    "Camera2Module",
    "Camera3AMetadata",
    "Camera3Buffer",
    "Camera3BufferPool",
    "Camera3Channel",
    "Camera3Format",
    "Camera3HAL",
    "Camera3HALModule",
    "Camera3HWI",
    "Camera3Stream",
    "Camera3StreamHAL",
    "Camera3StreamListener",
    "CameraBuffer",
    "CameraDevice",
    "CameraDump",
    "CameraEvent",
    "CameraHal",
    "CameraHardwareSoc",
    "CameraLog",
    "CameraMetadata",
    "CameraParser",
    "CameraShm",
    "CameraStream",
    "Camera_PolicyManager",
    "CaptureUnit",
    "ColorConverter",
    "CsiMetaDevice",
    "Customized3A",
    "CustomizedAic",
    "DeviceBase",
    "Dvs",
    "EXIFMaker",
    "EXIFMetaData",
    "ExifCreater",
    "FaceDetection",
    "FaceDetectionPVL",
    "FaceSSD",
    "FileSource",
    "GPUExecutor",
    "GenGfx",
    "GfxGen",
    "GraphConfig",
    "GraphConfigImpl",
    "GraphConfigImplClient",
    "GraphConfigManager",
    "GraphConfigPipe",
    "GraphConfigServer",
    "GraphUtils",
    "HAL_FACE_DETECTION_TEST",
    "HAL_basic",
    "HAL_jpeg",
    "HAL_multi_streams_test",
    "HAL_rotation_test",
    "HAL_yuv",
    "HalV3Utils",
    "I3AControlFactory",
    "IA_CIPR_UTILS",
    "ICamera",
    "IFaceDetection",
    "IPCIntelPGParam",
    "IPC_FACE_DETECTION",
    "IPC_GRAPH_CONFIG",
    "ImageProcessorCore",
    "ImageScalerCore",
    "Intel3AParameter",
    "IntelAEStateMachine",
    "IntelAFStateMachine",
    "IntelAWBStateMachine",
    "IntelAlgoClient",
    "IntelAlgoCommonClient",
    "IntelAlgoServer",
    "IntelCPUAlgoServer",
    "IntelCca",
    "IntelCcaClient",
    "IntelCcaServer",
    "IntelFDServer",
    "IntelFaceDetection",
    "IntelFaceDetectionClient",
    "IntelGPUAlgoServer",
    "IntelIC2",
    "IntelPGParam",
    "IntelPGParamClient",
    "IntelPGParamS",
    "IntelTNR7US",
    "IntelTNR7USClient",
    "IntelTNRServer",
    "IspControlUtils",
    "IspParamAdaptor",
    "JpegEncoderCore",
    "JpegMaker",
    "LensHw",
    "LensManager",
    "LiveTuning",
    "Ltm",
    "MANUAL_POST_PROCESSING",
    "MakerNote",
    "MediaControl",
    "MetadataConvert",
    "MockCamera3HAL",
    "MockCameraHal",
    "MockSysCall",
    "MsgHandler",
    "OpenSourceGFX",
    "PGCommon",
    "PGUtils",
    "PSysDAG",
    "PSysPipe",
    "PSysProcessor",
    "ParameterGenerator",
    "ParameterHelper",
    "ParameterResult",
    "Parameters",
    "ParserBase",
    "PipeExecutor",
    "PipeLiteExecutor",
    "PlatformData",
    "PnpDebugControl",
    "PolicyParser",
    "PostProcessor",
    "PostProcessorBase",
    "PostProcessorCore",
    "PrivateStream",
    "ProcessorManager",
    "RequestManager",
    "RequestThread",
    "ResultProcessor",
    "SWJpegEncoder",
    "SWPostProcessor",
    "SchedPolicy",
    "Scheduler",
    "SensorHwCtrl",
    "SensorManager",
    "SensorOB",
    "ShareRefer",
    "SofSource",
    "StreamBuffer",
    "SwImageConverter",
    "SwImageProcessor",
    "SyncManager",
    "SysCall",
    "TCPServer",
    "Thread",
    "Trace",
    "TunningParser",
    "Utils",
    "V4l2DeviceFactory",
    "V4l2_device_cc",
    "V4l2_subdevice_cc",
    "V4l2_video_node_cc",
    "VendorTags",
    "camera_metadata_tests",
    "icamera_metadata_base",
    "metadata_test",
    "FPS",
    "GPU_TNR",
    "STATS",
};

// !!! DO NOT EDIT THIS FILE !!!
